## cmake-fedora 2.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)

# Included scripts do automatic cmake_policy PUSH and POP.
# OLD: CMake policy in included script will affect the invoker.
# CMAKE_POLICY(SET CMP0011 OLD)

LIST(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/Modules)
INCLUDE(ManageEnvironmentCommon RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
GET_FILENAME_COMPONENT(CMAKE_FEDORA_MODULE_DIR 
    "${MANAGE_ENVIRONMENT_PATH}" PATH CACHE
    )

# Whether to build on fedora
SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build")

####################################################################
# Project specific information
#
PROJECT(cmake-fedora NONE)
SET(PRJ_SUMMARY "CMake helper modules for fedora developers")

SET(PRJ_DESCRIPTION
"cmake-fedora consist a set of cmake modules that provides
helper macros and targets for fedora developers."
    )
SET(AUTHORS "Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen at redhat.com>")
SET(VENDOR "Red Hat, APAC, Inc.")
SET(LICENSE BSD)
SET(PRJ_GROUP "System Environment/Libraries")
SET(BUILD_ARCH "noarch")
SET(RPM_SPEC_URL "https://fedorahosted.org/%{name}/")
SET(RPM_SPEC_SOURCES "https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz")

####################################################################
# Includes
#
INCLUDE(ManageEnvironment)
INCLUDE(ManageArchive)
INCLUDE(ManageVersion)
RELEASE_NOTES_READ_FILE()
INCLUDE(ManageDependency)
INCLUDE(ManageFile)
INCLUDE(ManageSourceVersionControl)
INCLUDE(ManageTarget)
INCLUDE(ManageUninstall)
ENABLE_TESTING()

####################################################################
# Dependencies
#

## Requires
MANAGE_DEPENDENCY(REQUIRES CMAKE VER "2.6.2")
MANAGE_DEPENDENCY(REQUIRES GIT)

## Workaround for Bug 1115136 otherwise el7 won't work
MANAGE_DEPENDENCY(REQUIRES BODHI-CLIENT
    PROGRAM_NAMES bodhi client.py PROGRAM_SEARCH_PATHS /usr/bin/bodhi)
MANAGE_DEPENDENCY(REQUIRES KOJI)
MANAGE_DEPENDENCY(REQUIRES RPM-BUILD)
MANAGE_DEPENDENCY(REQUIRES FEDPKG)

## Build requires
MANAGE_DEPENDENCY(BUILD_REQUIRES CMAKE VER "2.6.2" REQUIRED)
MANAGE_DEPENDENCY(BUILD_REQUIRES KOJI REQUIRED)


####################################################################
# Building
#


####################################################################
# Installing
#

INSTALL(FILES AUTHORS README ChangeLog COPYING 
    DESTINATION ${PRJ_DOC_DIR}
    )
INSTALL(FILES cmake-fedora.conf
    DESTINATION ${SYSCONF_DIR}
    )

ADD_SUBDIRECTORY(Modules)
ADD_SUBDIRECTORY(scripts)
ADD_SUBDIRECTORY(Templates)

MANAGE_SOURCE_VERSION_CONTROL_GIT()

####################################################################
# Packing
#

ADD_CUSTOM_TARGET(ctest
    COMMAND ctest
    COMMENT "ctest: Run tests"
    )
ADD_DEPENDENCIES(pack_src_pre ctest)

## Pack Source 
SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
PACK_SOURCE_ARCHIVE("${SOURCE_ARCHIVE_DIR}"
    GITIGNORE ${CMAKE_SOURCE_DIR}/.gitignore
    )

IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    SET(RPM_BUILD_SOURCES ${SOURCE_ARCHIVE_DIR})
    INCLUDE(ManageRPM)
    RPM_SPEC_STRING_ADD_DIRECTIVE(RPM_SPEC_SCRIPT_OUTPUT check "" "make test")
    PACK_RPM(SPEC_IN "Templates/fedora/project.spec.in")
    RPM_MOCK_BUILD()
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

####################################################################
# Hosting 
#
INCLUDE(ManageUpload)
ADD_CUSTOM_TARGET(upload
    COMMENT "Uploading all files"
    )

MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_src)
ADD_DEPENDENCIES(upload upload_fedorahosted_src)

####################################################################
# Custom
#

# Module-only tarballs
INCLUDE(ManageTarget)
SET(MODULE_ONLY_ARCHIVE ${PROJECT_NAME}-${PRJ_VER}-modules-only.tar.gz)
SET(MODULE_ONLY_LATEST_ARCHIVE ${PROJECT_NAME}-modules-only-latest.tar.gz)
ADD_CUSTOM_TARGET_COMMAND(module-only
    OUTPUT ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
    COMMAND tar --exclude=.* -czvf  ${MODULE_ONLY_ARCHIVE} Modules/*.cmake Modules/*.cmake.in
    COMMAND ln -sf ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
    )

MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_modules 
    UPLOAD_FILES ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
    )
ADD_DEPENDENCIES(upload upload_fedorahosted_modules)

####################################################################
# Release
#

ADD_DEPENDENCIES(upload tag_push)
INCLUDE(ManageRelease)
IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    INCLUDE(ManageReleaseFedora)
    RELEASE_FEDORA(fedora epel)
    # "Off" Warning is displayed if mock is not installed.
    MANAGE_RELEASE(upload tag_push release_fedora)
ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    MANAGE_RELEASE(upload tag_push)
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

####################################################################
# Test Suites.
#
ADD_TEST("ManageString" ctest -S test/testManageString.cmake)
ADD_TEST("ManageVariable" ctest -S test/testManageVariable.cmake)
ADD_TEST("ManageFile" ctest -S test/testManageFile.cmake)
ADD_TEST("ManageTranslation" ctest -S test/testManageTranslation.cmake)
ADD_TEST("ManageZanata" ctest -S test/testManageZanata.cmake)
ADD_TEST("CmakeFedoraScript" ctest -S test/testCmakeFedoraScript.cmake)
ADD_TEST("CmakeFedoraKoji" ctest -S test/testCmakeFedoraKoji.cmake)
ADD_TEST("CmakeFedoraFedpkg" ctest -S test/testCmakeFedoraFedpkg.cmake)

IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
    ADD_TEST(NAME "cmake-fedora-newprj"
	CONFIGURATIONS "debug"
	COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
	)
ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.0)

=== Modules/CMakeLists.txt ===
FILE(GLOB CMAKE_FEDORA_MODULES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "M*.cmake")
LIST(APPEND CMAKE_FEDORA_MODULES cmake_uninstall.cmake.in DateTimeFormat.cmake)
INSTALL(FILES ${CMAKE_FEDORA_MODULES} 
    DESTINATION ${DATA_DIR}/cmake/Modules
    )

=== debian/changelog ===
cmake-fedora (2.3.4-1) unstable; urgency=low

  * Initial release (Closes: #780421)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 13 Mar 2015 23:19:20 +0800

=== debian/control ===
Source: cmake-fedora
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
Build-Depends: debhelper (>= 9),
               cmake,
Standards-Version: 3.9.6
Homepage: https://fedorahosted.org/cmake-fedora/
Vcs-Git: git://anonscm.debian.org/collab-maint/cmake-fedora.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git

Package: cmake-fedora
Architecture: all
Depends: ${misc:Depends},
         cmake,
Description: Set of scripts and cmake modules that simply the release process
 cmake-fedora is designed to relieve you from chores of releasing software by:
 .
   - Keeping the consistency of release information such as version and update
     messages in:
     - Release notes
     - ChangeLog
     - Tags
     - Spec file
     - Fedpkg commit message
     - Bodhi notes
   - Source archive depends on the files to be packed.
   - Run rpmlint and koji scratch build before tag as sanity checks.
   - Easy upload to scp, sftp hosting services sites.
   - Translation targets like gettext and Zanata.
   - Provide license information and templates of CMakeLists.txt, spec files for
    new packages.
 .
 while avoid some pitfalls like all junk files are packed.

## cmake-fedora 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     )
 
 # Whether to build on fedora
-SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build")
+SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build" FORCE)
 
 ####################################################################
 # Project specific information
@@ -54,12 +54,12 @@
 MANAGE_DEPENDENCY(REQUIRES CMAKE VER "2.6.2")
 MANAGE_DEPENDENCY(REQUIRES GIT)
 
-## Workaround for Bug 1115136 otherwise el7 won't work
-MANAGE_DEPENDENCY(REQUIRES BODHI-CLIENT
-    PROGRAM_NAMES bodhi client.py PROGRAM_SEARCH_PATHS /usr/bin/bodhi)
+MANAGE_DEPENDENCY(REQUIRES BODHI-CLIENT)
 MANAGE_DEPENDENCY(REQUIRES KOJI)
 MANAGE_DEPENDENCY(REQUIRES RPM-BUILD)
 MANAGE_DEPENDENCY(REQUIRES FEDPKG)
+MANAGE_DEPENDENCY(REQUIRES CURL)
+MANAGE_DEPENDENCY(REQUIRES PACKAGEDB-CLI)
 
 ## Build requires
 MANAGE_DEPENDENCY(BUILD_REQUIRES CMAKE VER "2.6.2" REQUIRED)
@@ -92,11 +92,11 @@
 # Packing
 #
 
-ADD_CUSTOM_TARGET(ctest
-    COMMAND ctest
+ADD_CUSTOM_TARGET(test_all
+    COMMAND ctest -C Debug --output-on-failure
     COMMENT "ctest: Run tests"
     )
-ADD_DEPENDENCIES(pack_src_pre ctest)
+ADD_DEPENDENCIES(pack_src_pre test_all)
 
 ## Pack Source 
 SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
@@ -107,7 +107,7 @@
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     SET(RPM_BUILD_SOURCES ${SOURCE_ARCHIVE_DIR})
     INCLUDE(ManageRPM)
-    RPM_SPEC_STRING_ADD_DIRECTIVE(RPM_SPEC_SCRIPT_OUTPUT check "" "make test")
+    RPM_SPEC_STRING_ADD_DIRECTIVE(RPM_SPEC_SCRIPT_OUTPUT check "" "ctest --output-on-failure")
     PACK_RPM(SPEC_IN "Templates/fedora/project.spec.in")
     RPM_MOCK_BUILD()
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
@@ -150,7 +150,7 @@
 INCLUDE(ManageRelease)
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     INCLUDE(ManageReleaseFedora)
-    RELEASE_FEDORA(fedora epel)
+    RELEASE_FEDORA(fedora epel7 el6)
     # "Off" Warning is displayed if mock is not installed.
     MANAGE_RELEASE(upload tag_push release_fedora)
 ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
@@ -164,15 +164,18 @@
 ADD_TEST("ManageVariable" ctest -S test/testManageVariable.cmake)
 ADD_TEST("ManageFile" ctest -S test/testManageFile.cmake)
 ADD_TEST("ManageTranslation" ctest -S test/testManageTranslation.cmake)
-ADD_TEST("ManageZanata" ctest -S test/testManageZanata.cmake)
 ADD_TEST("CmakeFedoraScript" ctest -S test/testCmakeFedoraScript.cmake)
 ADD_TEST("CmakeFedoraKoji" ctest -S test/testCmakeFedoraKoji.cmake)
 ADD_TEST("CmakeFedoraFedpkg" ctest -S test/testCmakeFedoraFedpkg.cmake)
 
 IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
+    ## Use cmake 
+    ADD_TEST(NAME "ManageZanata" 
+	CONFIGURATIONS "Debug"
+	COMMAND ctest -S test/testManageZanata.cmake)
     ADD_TEST(NAME "cmake-fedora-newprj"
-	CONFIGURATIONS "debug"
+	CONFIGURATIONS "Debug"
 	COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
 	)
 ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.0)
-    
+

=== scripts/CMakeLists.txt ===
SET(EXECUTABLES 
    cmake-fedora-fedpkg 
    cmake-fedora-koji 
    cmake-fedora-newprj
    cmake-fedora-pkgdb 
    cmake-fedora-zanata
    koji-build-scratch
)

MANAGE_FILE_INSTALL(BIN ${EXECUTABLES})

=== debian/changelog ===
cmake-fedora (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 Feb 2016 16:46:23 +0800

cmake-fedora (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 07 Jan 2016 18:35:00 +0800

cmake-fedora (2.4.4+20151201-1) unstable; urgency=medium

  * Use upstream git snapshot. (Closes: #806686)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Dec 2015 01:03:42 +0800

cmake-fedora (2.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 23 Nov 2015 19:02:45 +0800

cmake-fedora (2.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Nov 2015 00:08:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cmake-fedora
 Section: devel
 Priority: optional
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
+Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
 Standards-Version: 3.9.6
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cmake-fedora.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid
 
 Package: cmake-fedora
 Architecture: all

=== debian/watch ===
version=3
https://fedorahosted.org/releases/c/m/cmake-fedora/ cmake-fedora-([\d\.]+)-Source.tar.gz

## cmake-fedora 2.6.0

=== debian/changelog ===
cmake-fedora (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Mar 2016 16:42:56 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://fedorahosted.org/cmake-fedora/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid

## cmake-fedora 2.7.1

=== debian/changelog ===
cmake-fedora (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 24 Aug 2016 18:36:13 +0800

cmake-fedora (2.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in package description. (Closes: 823977)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 11 May 2016 13:40:17 +0800

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git -b debian/sid
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
 
 Package: cmake-fedora
 Architecture: all
 Depends: ${misc:Depends},
          cmake,
-Description: Set of scripts and cmake modules that simply the release process
+Description: Set of scripts and cmake modules that simplify the release process
  cmake-fedora is designed to relieve you from chores of releasing software by:
  .
    - Keeping the consistency of release information such as version and update

## cmake-fedora 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,7 @@
 MANAGE_DEPENDENCY(REQUIRES KOJI)
 MANAGE_DEPENDENCY(REQUIRES RPM-BUILD)
 MANAGE_DEPENDENCY(REQUIRES FEDPKG)
+MANAGE_DEPENDENCY(REQUIRES FEDORA-PACKAGER)
 MANAGE_DEPENDENCY(REQUIRES CURL)
 MANAGE_DEPENDENCY(REQUIRES PACKAGEDB-CLI)

=== Templates/CMakeLists.txt ===
INSTALL(DIRECTORY fedora DESTINATION ${DATA_DIR}/cmake/Templates  PATTERN "*.sw[po]" EXCLUDE PATTERN "*~" EXCLUDE)

=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
     cmake-fedora-koji 
     cmake-fedora-newprj
     cmake-fedora-pkgdb 
+    cmake-fedora-reset
     cmake-fedora-zanata
     koji-build-scratch
 )

=== debian/changelog ===
cmake-fedora (2.7.2-1) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Jun 2017 12:44:59 +0800

cmake-fedora (2.7.2-1~exp2) experimental; urgency=medium

  * Set Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 26 Mar 2017 00:01:27 +0800

cmake-fedora (2.7.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 26 Feb 2017 23:16:49 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmake-fedora.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
 
 Package: cmake-fedora
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          cmake,
 Description: Set of scripts and cmake modules that simplify the release process

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_test:
	# FIXME: testing is broken for now.

override_dh_install:
	dh_install
	rm -r $(CURDIR)/debian/cmake-fedora/usr/bin
	rm $(CURDIR)/debian/cmake-fedora/usr/share/doc/cmake-fedora/COPYING

override_dh_installchangelogs:
	dh_installchangelogs --keep

## cmake-fedora 2.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 LIST(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/Modules)
 INCLUDE(ManageEnvironmentCommon RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
-GET_FILENAME_COMPONENT(CMAKE_FEDORA_MODULE_DIR 
+GET_FILENAME_COMPONENT(CMAKE_FEDORA_MODULE_DIR
     "${MANAGE_ENVIRONMENT_PATH}" PATH CACHE
     )
 
@@ -29,8 +29,8 @@
 SET(LICENSE BSD)
 SET(PRJ_GROUP "System Environment/Libraries")
 SET(BUILD_ARCH "noarch")
-SET(RPM_SPEC_URL "https://fedorahosted.org/%{name}/")
-SET(RPM_SPEC_SOURCES "https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz")
+SET(RPM_SPEC_URL "https://pagure.io/%{name}/")
+SET(RPM_SPEC_SOURCES "https://releases.pagure.org/%{name}/%{name}-%{version}-Source.tar.gz")
 
 ####################################################################
 # Includes
@@ -76,7 +76,7 @@
 # Installing
 #
 
-INSTALL(FILES AUTHORS README ChangeLog COPYING 
+INSTALL(FILES AUTHORS README.md ChangeLog COPYING
     DESTINATION ${PRJ_DOC_DIR}
     )
 INSTALL(FILES cmake-fedora.conf
@@ -99,7 +99,7 @@
     )
 ADD_DEPENDENCIES(pack_src_pre test_all)
 
-## Pack Source 
+## Pack Source
 SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
 PACK_SOURCE_ARCHIVE("${SOURCE_ARCHIVE_DIR}"
     GITIGNORE ${CMAKE_SOURCE_DIR}/.gitignore
@@ -114,15 +114,8 @@
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
 
 ####################################################################
-# Hosting 
+# Hosting
 #
-INCLUDE(ManageUpload)
-ADD_CUSTOM_TARGET(upload
-    COMMENT "Uploading all files"
-    )
-
-MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_src)
-ADD_DEPENDENCIES(upload upload_fedorahosted_src)
 
 ####################################################################
 # Custom
@@ -138,24 +131,20 @@
     COMMAND ln -sf ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
     )
 
-MANAGE_UPLOAD_FEDORAHOSTED(upload_fedorahosted_modules 
-    UPLOAD_FILES ${MODULE_ONLY_ARCHIVE} ${MODULE_ONLY_LATEST_ARCHIVE}
-    )
-ADD_DEPENDENCIES(upload upload_fedorahosted_modules)
+ADD_DEPENDENCIES(tag_pre module-only)
 
 ####################################################################
 # Release
 #
 
-ADD_DEPENDENCIES(upload tag_push)
 INCLUDE(ManageRelease)
 IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
     INCLUDE(ManageReleaseFedora)
     RELEASE_FEDORA(fedora epel7 el6)
     # "Off" Warning is displayed if mock is not installed.
-    MANAGE_RELEASE(upload tag_push release_fedora)
+    MANAGE_RELEASE(tag_push release_fedora)
 ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
-    MANAGE_RELEASE(upload tag_push)
+    MANAGE_RELEASE(tag_push)
 ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
 
 ####################################################################
@@ -166,17 +155,25 @@
 ADD_TEST("ManageFile" ctest -S test/testManageFile.cmake)
 ADD_TEST("ManageTranslation" ctest -S test/testManageTranslation.cmake)
 ADD_TEST("CmakeFedoraScript" ctest -S test/testCmakeFedoraScript.cmake)
-ADD_TEST("CmakeFedoraKoji" ctest -S test/testCmakeFedoraKoji.cmake)
 ADD_TEST("CmakeFedoraFedpkg" ctest -S test/testCmakeFedoraFedpkg.cmake)
 
 IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
-    ## Use cmake 
-    ADD_TEST(NAME "ManageZanata" 
-	CONFIGURATIONS "Debug"
-	COMMAND ctest -S test/testManageZanata.cmake)
+    ##  These tests requires internet, which should not be run in koji
+    ADD_TEST(NAME "CmakeFedoraKoji"
+        CONFIGURATIONS "Debug"
+        COMMAND ctest -S test/testCmakeFedoraKoji.cmake
+        )
+    ADD_TEST(NAME "CmakeFedoraFedpkgDeep"
+        CONFIGURATIONS "Debug"
+        COMMAND ctest -S test/testCmakeFedoraFedpkgDeep.cmake
+        )
+    ADD_TEST(NAME "ManageZanata"
+    	CONFIGURATIONS "Debug"
+	    COMMAND ctest -S test/testManageZanata.cmake
+        )
     ADD_TEST(NAME "cmake-fedora-newprj"
-	CONFIGURATIONS "Debug"
-	COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
-	)
+	    CONFIGURATIONS "Debug"
+	    COMMAND ctest -S test/testCmakeFedoraNewprj.cmake
+	    )
 ENDIF(CMAKE_VERSION VERSION_GREATER 2.8.0)

=== debian/changelog ===
cmake-fedora (2.9.3-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's acknowledgement.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/rules: Remove trailing whitespaces.

  [ ChangZhuo Chen (陳昌倬) ]
  * Remove git-dpm
  * Update watch
  * Update Homepage (Closes: #979616)

  [ Boyuan Yang ]
  * New upstream version 2.9.3. (Closes: #979615)
  * debian/control: Update Vcs-* fields.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Add new build-dependency pkg-config.
  * debian/: Bump debhelper compat to v13.
  * debian/watch: Fix version matching.
  * debian/docs: Fix doc installation following upstream renaming.
  * debian/build-aux/.gitignore: Imported from upstream. Needed by
    cmake configure process.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Nov 2021 14:31:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-Standards-Version: 4.0.0
-Homepage: https://fedorahosted.org/cmake-fedora/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cmake-fedora.git
+               pkg-config,
+Standards-Version: 4.6.0
+Homepage: https://pagure.io/cmake-fedora
+Vcs-Git: https://salsa.debian.org/debian/cmake-fedora.git
+Vcs-Browser: https://salsa.debian.org/debian/cmake-fedora
 
 Package: cmake-fedora
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ 
+	dh $@
+
+execute_before_dh_auto_configure:
+	# Needed by cmake configure
+	cp debian/build-aux/gitignore ./.gitignore
 
 override_dh_auto_test:
 	# FIXME: testing is broken for now.

=== debian/watch ===
version=3
https://pagure.io/cmake-fedora/releases /cmake-fedora/archive/(?:[\d\.]+)/cmake-fedora-([\d\.]+).tar.gz
